body {
  position: relative !important;
}

body::before {
  content: "" !important;
  display: block !important;
  position: absolute !important;
  top: 0 !important;
  bottom: 0 !important;
  width: 0 !important; /* Нам не нужна ширина для линии-границы */
  border-left: 1px dashed rgba(97, 101, 175, 0.4) !important; /* 1px пунктир фиолетового цвета с 40% прозрачностью */
  pointer-events: none !important;
  z-index: 99999 !important;
  
  /* Позиционирование по сетке */
  left: calc(50% - 616px) !important;
}

/* Адаптив под брейкпоинты экрана */
@media screen and (max-width: 1199px) {
  body::before { left: calc(50% - 475px) !important; }
}
@media screen and (max-width: 959px) {
  body::before { left: calc(50% - 310px) !important; }
}
@media screen and (max-width: 639px) {
  body::before { left: calc(50% - 200px) !important; }
}
@media screen and (max-width: 419px) {
  body::before { left: calc(50% - 178.5px) !important; }
}
@media screen and (max-width: 374px) {
  body::before { left: calc(50% - 152px) !important; }
}